local node = Node:extend('nodes.slideshow', {})

local smallFont = love.graphics.newFont('fonts/Lato-Light.ttf', 60)

function node:init(config)
  self.super:init(config)
  if (self.fileName ~= Nil) and (love.filesystem.exists( self.fileName )) then
    self.image = love.graphics.newImage( self.fileName )
  else
    self.image = Nil
  end
end

function node:render()
  love.graphics.setColor( 0, 0, 0 )
  love.graphics.rectangle("fill", 0, 0, love.graphics.getWidth(), love.graphics.getHeight())
  if self.image == Nil then
    love.graphics.setFont(smallFont);
    love.graphics.setColor( 255, 255, 255 )
    love.graphics.printf('File not found.', 0, love.graphics.getHeight()/2 , love.graphics.getWidth(), 'center');
  else
    love.graphics.setColor( 255, 255, 255 )
    love.graphics.draw( self.image, love.graphics.getWidth()/2, love.graphics.getHeight()/2, 0, 1, 1, self.image:getWidth()/2, self.image:getHeight()/2 )
  end

end

return node
